/* $Id: swinehub.h 124 2023-06-24 13:04:46Z nishi $ */
#ifndef __SWINEHUB_SWINEHUB_H__
#define __SWINEHUB_SWINEHUB_H__

#include <swinehub/language.h>

#define _XOPEN_SOURCE 500

#define _SWINEHUB_VERSION	"1.404"
#define CONCAT_SWINEHUB_VERSION _SWINEHUB_VERSION "-" CC
#if defined(JAPANESE)
#define SWINEHUB_VERSION CONCAT_SWINEHUB_VERSION "-j"
#else
#define SWINEHUB_VERSION CONCAT_SWINEHUB_VERSION
#endif
#define SWINEHUB_ID "$Id: swinehub.h 124 2023-06-24 13:04:46Z nishi $"

#ifndef SWINEHUB_TOKEN_DB
#define SWINEHUB_TOKEN_DB "/var/swinehub/swinehub-token"
#endif

#ifndef SWINEHUB_USER_DB
#define SWINEHUB_USER_DB "/var/swinehub/swinehub-user"
#endif

#ifndef SWINEHUB_AUTH
#define SWINEHUB_AUTH "/var/swinehub/auth"
#endif

#ifndef SWINEHUB_AUTHZ
#define SWINEHUB_AUTHZ "/var/swinehub/authz"
#endif

#ifndef SWINEHUB_CONFIG
#define SWINEHUB_CONFIG "/etc/swinehub.conf"
#endif

#endif
